package smash.appointment.parse;

import java.util.Calendar;

public class AppointmentSqlExporter extends SqlExporter {

	public String toSql(AppointmentEntry appointment) {
		StringBuilder result = new StringBuilder("");

		result.append("insert into web_appointment (");
		result.append("datetime_when, ");
		result.append("length, ");
		result.append("status, ");
		result.append("comment, ");
		result.append("location_id, ");
		result.append("visit_id) ");

		result.append("values (");
		result.append(getStringVal(appointment.getDay() + " " + appointment.getTime() + "+00") + ",");
		result.append(getStringVal(appointment.getDuration()) + ",");
		if (isBefore(appointment, Calendar.getInstance())) {
			result.append("'FINISHED',");
		} else {
			result.append("'SCHEDULED',");
		}
		result.append(getStringVal(appointment.getSource()) + ",");
		switch (appointment.getLocation().substring(0, 1)) {
			case ("L"):
				result.append("(select id from web_location where name = 'LIH'),");
				break;
			case ("F"):
				result.append("(select id from web_location where name = 'Flying Team'),");
				break;
			case ("P"):
				result.append("(select id from web_location where name = 'PRC'),");
				break;
			default:
				throw new RuntimeException("Unknown location: " + appointment.getLocation());
		}
		result.append("(select max(id) from web_visit)");
		result.append(");\n");

		for (AppointmentType type : appointment.getTypes()) {
			result.append("\tinsert into web_appointment_appointment_types (");
			result.append("appointment_id, ");
			result.append("appointmenttype_id) ");
			result.append("values (");
			result.append("(select max(id) from web_appointment),");
			result.append("(select id from web_appointmenttype where code=" + getStringVal(type.getAbbreviation()) + ") ");
			result.append(");\n");
		}

		return result.toString();
	}

}
