package smash.appointment.parse;

import static org.junit.Assert.*;

import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

public class PrcControlParserTest extends TestBase {
	Logger						logger		= Logger.getLogger(PrcSubjectsParserTest.class);

	PrcControlParser processor	= new PrcControlParser();


	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp()  {
		super.setUp();
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() throws Exception {
		List<Subject> entries = processor.processExcel("testFiles/prcControlesExample.xlsx");
		assertTrue(entries.size() > 0);

		Subject subject = entries.get(0);
		assertEquals("P-333", subject.getScreeningNumber());
		assertEquals("CCC", subject.getName());
		assertEquals("BBB", subject.getSurname());
		assertTrue(subject.getRemarks().contains("note"));
		assertEquals("DDD", subject.getAddress());
		assertEquals("L-2423", subject.getZipCode());
		assertEquals("Luxembourg", subject.getCity());
		assertEquals("Luxembourg", subject.getCountry());
		assertEquals("123", subject.getPhone1());
		assertEquals("456", subject.getPhone2());
		assertEquals("", subject.getPhone3());
		assertEquals("mail@mail.lu", subject.getMail());
		assertEquals("", subject.getDiagnosisYear());
		assertEquals("", subject.getDiagnosis());
		assertEquals("", subject.getReferal());
		assertEquals("2016-03-29", subject.getAddDate());
		assertEquals("ND3333", subject.getNdNumber());
		assertEquals("1999-09-10", subject.getBirthDate());
	}


}
