from django.contrib import messages
from django.contrib.auth import update_session_auth_hash
from django.contrib.auth.forms import PasswordChangeForm
from django.shortcuts import render, redirect
from . import wrap_response
from web.models.worker import Worker

def change_password(request):
    if request.method == 'POST':
        form = PasswordChangeForm(request.user, request.POST)
        if form.is_valid():
            user = form.save()
            update_session_auth_hash(request, user)
            messages.success(request, 'The password for {} was successfully updated!'.format(request.user))
            return redirect('web.views.workers')
        else:
            messages.error(request, 'Please correct the error below.')
    else:
        form = PasswordChangeForm(request.user)

    worker = Worker.get_by_user(request.user)
    return wrap_response(request, 'doctors/change_password.html', {'form': form, 'worker': worker})